package com.yeejoin.equipmanage.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

/**
 * @author DELL
 */
@AllArgsConstructor
@Getter
public enum SourceTypeEnum {
    /**
     * 资源类型枚举
     */
    EQUIPMENT("装备","equipment", "equipmentSpecificSerivceImpl","refreshStaData"),
    CAR("车辆","car", "carServiceImpl","refreshStaData"),
    IOT("iot","car", "carServiceImpl","iotrefreshStaData");
    private String name;

    private String code;

    private String beanName;

    private String methodName;
}
